//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Mobile {
/// <summary>
/// Creates a mobile phone of the specified type.<br /><br />Possible phone types:<br /><br />0 - Default phone / Michael&apos;s phone<br />1 - Trevor&apos;s phone<br />2 - Franklin&apos;s phone<br />3 - Unused police phone<br />4 - Prologue phone<br /><br />Higher values may crash your game.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA4E8E696C532FBC7<br />
/// </para>
/// </remarks>
public static void CreateMobilePhone(int phoneType){
Function.Call((Hash)0xA4E8E696C532FBC7uL, phoneType);
}

/// <summary>
/// Destroys the currently active mobile phone.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3BC861DF703E5097<br />
/// </para>
/// </remarks>
public static void DestroyMobilePhone(){
Function.Call((Hash)0x3BC861DF703E5097uL);
}

/// <summary>
/// The minimum/default is 500.0f. If you plan to make it bigger set it&apos;s position as well. Also this seems to need to be called in a loop as when you close the phone the scale is reset. If not in a loop you&apos;d need to call it everytime before you re-open the phone.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCBDD322A73D6D932<br />
/// </para>
/// </remarks>
public static void SetMobilePhoneScale(float scale){
Function.Call((Hash)0xCBDD322A73D6D932uL, scale);
}

/// <summary>
/// Last parameter is unknown and always zero.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBB779C0CA917E865<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetMobilePhoneRotation(float rotX, float rotY, float rotZ, int /* bug: Any */ p3){
Function.Call((Hash)0xBB779C0CA917E865uL, rotX, rotY, rotZ, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1CEFB61F193070AE<br />
/// </para>
/// </remarks>
public static void GetMobilePhoneRotation(ref Vector3 rotation, int /* Vehicle */ p1){
var nativeAssistPointerVar0 = rotation;
unsafe {
Function.Call((Hash)0x1CEFB61F193070AEuL, &nativeAssistPointerVar0, p1);
}
rotation = nativeAssistPointerVar0;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x693A5C6D6734085B<br />
/// </para>
/// </remarks>
public static void SetMobilePhonePosition(float posX, float posY, float posZ){
Function.Call((Hash)0x693A5C6D6734085BuL, posX, posY, posZ);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x584FDFDA48805B86<br />
/// </para>
/// </remarks>
public static void GetMobilePhonePosition(ref Vector3 position){
var nativeAssistPointerVar0 = position;
unsafe {
Function.Call((Hash)0x584FDFDA48805B86uL, &nativeAssistPointerVar0);
}
position = nativeAssistPointerVar0;
}

/// <summary>
/// If bool Toggle = true so the mobile is hide to screen.<br />If bool Toggle = false so the mobile is show to screen.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF511F759238A5122<br />
/// </para>
/// </remarks>
public static void ScriptIsMovingMobilePhoneOffscreen(bool toggle){
Function.Call((Hash)0xF511F759238A5122uL, toggle);
}

/// <summary>
/// This one is weird and seems to return a TRUE state regardless of whether the phone is visible on screen or tucked away.<br /><br /><br />I can confirm the above. This function is hard-coded to always return 1.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC4E2813898C97A4B<br />
/// </para>
/// </remarks>
public static bool CanPhoneBeSeenOnScreen(){
return Function.Call<bool>((Hash)0xC4E2813898C97A4BuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 372<br />
/// <b>Native ID:</b> 0x375A706A5C2FD084<br />
/// </para>
/// </remarks>
public static void SetMobilePhoneDofState(bool toggle){
Function.Call((Hash)0x375A706A5C2FD084uL, toggle);
}

/// <summary>
/// For move the finger of player, the value of int goes 1 at 5.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x95C9E72F3D7DEC9B<br />
/// </para>
/// </remarks>
public static void CellSetInput(int direction){
Function.Call((Hash)0x95C9E72F3D7DEC9BuL, direction);
}

/// <summary>
/// if the bool &quot;Toggle&quot; is &quot;true&quot; so the phone is lean.<br />if the bool &quot;Toggle&quot; is &quot;false&quot; so the phone is not lean.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x44E44169EF70138E<br />
/// </para>
/// </remarks>
public static void CellHorizontalModeToggle(bool toggle){
Function.Call((Hash)0x44E44169EF70138EuL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFDE8F069C542D126<br />
/// </para>
/// </remarks>
public static void CellCamActivate(bool p0, bool p1){
Function.Call((Hash)0xFDE8F069C542D126uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x015C49A93E3E086E<br />
/// </para>
/// </remarks>
public static void CellCamActivateSelfieMode(bool toggle){
Function.Call((Hash)0x015C49A93E3E086EuL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA2CCBE62CD4C91A4<br />
/// </para>
/// </remarks>
public static void CellCamActivateShallowDofMode(bool toggle){
Function.Call((Hash)0xA2CCBE62CD4C91A4uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1B0B4AEED5B9B41C<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeSideOffsetScaling(float p0){
Function.Call((Hash)0x1B0B4AEED5B9B41CuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x53F4892D18EC90A4<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeHorzPanOffset(float horizontalPan){
Function.Call((Hash)0x53F4892D18EC90A4uL, horizontalPan);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3117D84EFA60F77B<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeVertPanOffset(float vertPan){
Function.Call((Hash)0x3117D84EFA60F77BuL, vertPan);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x15E69E2802C24B8D<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeRollOffset(float roll){
Function.Call((Hash)0x15E69E2802C24B8DuL, roll);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAC2890471901861C<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeDistanceScaling(float distanceScaling){
Function.Call((Hash)0xAC2890471901861CuL, distanceScaling);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD6ADE981781FCA09<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeHeadYawOffset(float yaw){
Function.Call((Hash)0xD6ADE981781FCA09uL, yaw);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF1E22DC13F5EEBAD<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeHeadRollOffset(float roll){
Function.Call((Hash)0xF1E22DC13F5EEBADuL, roll);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x466DA42C89865553<br />
/// </para>
/// </remarks>
public static void CellCamSetSelfieModeHeadPitchOffset(float pitch){
Function.Call((Hash)0x466DA42C89865553uL, pitch);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x439E9BC95B7E7FBE<br />
/// </para>
/// </remarks>
public static bool CellCamIsCharVisibleNoFaceCheck(int /* Entity */ entity){
return Function.Call<bool>((Hash)0x439E9BC95B7E7FBEuL, entity);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Mobile<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB4A53E05F68B6FA1<br />
/// </para>
/// </remarks>
public static void GetMobilePhoneRenderId(ref int renderId){
var nativeAssistPointerVar0 = renderId;
unsafe {
Function.Call((Hash)0xB4A53E05F68B6FA1uL, &nativeAssistPointerVar0);
}
renderId = nativeAssistPointerVar0;
}

}}
